{ config, pkgs, ... }:

{
  age.secrets = {
    env = {
      file = ../../secrets/vaultwarden/env.age;
    };
  };

  services.vaultwarden = {
    enable = true;
    dbBackend = "postgresql";
    environmentFile = config.age.secrets.env.path;
  };

  systemd.services.vaultwarden = {
    path = with pkgs; [ postfix ];
  };
}
